﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Shape.Mvp.Sample.Domain.Model;

namespace Shape.Mvp.Sample.Domain.Repositories
{
   public class InMemoryExerciseRepository : IExerciseRepository
   {
      private ICollection<Exercise> _exercises =
         new List<Exercise>() {
            new Exercise() {Id = Guid.NewGuid(), Name = "Exercise 1"},
            new Exercise() {Id = Guid.NewGuid(), Name = "Exercise 2"},
            new Exercise() {Id = Guid.NewGuid(), Name = "Exercise 3"},
            new Exercise() {Id = Guid.NewGuid(), Name = "Exercise 4"},
            new Exercise() {Id = Guid.NewGuid(), Name = "Exercise 5"}};

      public ICollection<Exercise> GetAll()
      {
         return _exercises;
      }

		public Exercise GetById(Guid id)
		{
			return _exercises.Where(e => e.Id.Equals(id)).SingleOrDefault();
		}
   }
}
