﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Castle.MicroKernel.Registration;
using Castle.Windsor;
using Castle.MicroKernel.SubSystems.Configuration;
using Shape.Mvp.Sample.Domain.Repositories;

namespace Shape.Mvp.Sample.IoC.Installers
{
   public class RepositoryInstaller : IWindsorInstaller
   {
      public void Install(IWindsorContainer container, IConfigurationStore store)
      {
         container.Register(Classes.FromThisAssembly()
                           .BasedOn<IExerciseRepository>()
                           .WithServiceFromInterface()
                           .LifestyleSingleton());
      }
   }
}
