﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Shape.Mvp.Sample.Views
{
   public partial class ExerciseListForm : Form, IExerciseListView
   {
   #region Events
      public event Action<string> ShowExerciseDetails;
   #endregion
      
      public ExerciseListForm()
      {
         InitializeComponent();
      }

      void Mvp.Views.IView.Show()
      {
         throw new NotImplementedException();
      }

      void Mvp.Views.IView.Close()
      {
         throw new NotImplementedException();
      }

      bool Mvp.Views.IView.CanClose
      {
         get
         {
            throw new NotImplementedException();
         }
         set
         {
            throw new NotImplementedException();
         }
      }

      public void AddExercise(string key, string name)
      {
         lvwExercises.Items.Add(
            new ListViewItem() { Name = key, Text = name });
      }

      private void OnListViewDoubleClick(object sender, EventArgs e)
      {
         if (lvwExercises.SelectedItems.Count > 0)
         {
            if (ShowExerciseDetails != null)
            {
               ShowExerciseDetails(lvwExercises.SelectedItems[0].Name);
            }
            
         }
      }

   }
}
