﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Castle.MicroKernel.Registration;
using Castle.Windsor;
using Castle.MicroKernel.SubSystems.Configuration;
using Shape.Mvp.Commands;
using System.Reflection;
using System.IO;

namespace Shape.Mvp.Ioc.Installers
{
   public class CommandInstaller : IWindsorInstaller
   {
      public void Install(IWindsorContainer container, IConfigurationStore store)
      {
         container.Register(Classes.FromAssemblyInDirectory(new AssemblyFilter(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location)))
                           .BasedOn(typeof(ICommandHandler<>))
                           .WithServiceFromInterface()
                           .LifestyleTransient());
      }
   }
}
