﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Shape.Mvp.Events;
using Shape.Mvp.Commands;
using Shape.Mvp.Views;

namespace Shape.Mvp
{
	public interface IApplicationController
	{
      void Execute<TCommand>(TCommand command) where TCommand : Command;

      void Publish<TEvent>(TEvent item);
      void AddEventSubscriber(ISubscriber subscriber);

      IWindowMode Show(IView view);
	}
}
