﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Castle.MicroKernel.Registration;
using Castle.Windsor;
using Castle.MicroKernel.SubSystems.Configuration;
using System.IO;
using System.Reflection;
using Shape.Mvp.Presenters;

namespace Shape.Mvp.Ioc.Installers
{
   public class PresenterInstaller : IWindsorInstaller
   {
      public void Install(IWindsorContainer container, IConfigurationStore store)
      {
         container.Register(Classes.FromAssemblyInDirectory(new AssemblyFilter(Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location)))
                           .BasedOn(typeof(Presenter<>))
                           .LifestyleTransient());
      }
   }
}
