﻿using System.Windows.Forms;

namespace Shape.Mvp.Services
{
   public class WindowsFormsMessageBoxService : IMessageBoxService
   {

      public DialogResult Show(string text)
      {
         return MessageBox.Show(text);
      }

      public DialogResult Show(string text, string caption)
      {
         return MessageBox.Show(text, caption);
      }

      public DialogResult Show(string text, string caption, MessageBoxButtons buttons)
      {
         return MessageBox.Show(text, caption, buttons);
      }

      public DialogResult Show(string text, string caption, MessageBoxButtons buttons, MessageBoxIcon icon)
      {
         return MessageBox.Show(text, caption, buttons, icon);
      }
   }
}
